/**
 * @author alex
 
Copyright 2009 Palm, Inc.  All rights reserved.

*/
lastLogMarker = "---no-message---";
lastLog = "";

function setUp() {
  lastLog = lastLogMarker;
}

function testGetDate(){
	var date = new Date(2001, 2, 4);
	dateString = DateFormatter.formatDate(date);
	assertEquals("3/4/2001", dateString);
	
	date = DateFormatter.getDate(dateString);
	assertEquals(2001, date.getFullYear());
	assertEquals(2, date.getMonth());
	assertEquals(4, date.getDate());
	
	date = DateFormatter.getDate("01/01/2008");
	assertEquals(2008, date.getFullYear());
	assertEquals(0, date.getMonth());
	assertEquals(1, date.getDate());
}
